using SqlSugar;
using System;

namespace YBDevice.Entity
{
    /// <summary>
    /// 儿童常见中医体质辨识与保健
    /// </summary>
    public class YB_ChildBodyDetail
    {
        /// <summary>
        /// 主键
        /// </summary>
        [SugarColumn(IsPrimaryKey = true)]
        public Guid Id { get; set; }

        /// <summary>
        /// 体质类型
        /// </summary>
        [SugarColumn(ColumnDescription = "体质类型")]
        public ChildBodyTypeEnum Type { get; set; }

        /// <summary>
        /// 定义
        /// </summary>
        [SugarColumn(ColumnDescription = "定义",ColumnDataType ="text")]
        public string Define { get; set; }

        /// <summary>
        /// 形体特征
        /// </summary>
        [SugarColumn(ColumnDescription = "形体特征", ColumnDataType = "text")]
        public string Proper { get; set; }
        /// <summary>
        /// 素体表现
        /// </summary>
        [SugarColumn(ColumnDescription = "素体表现", ColumnDataType = "text")]
        public string Show { get; set; }
        /// <summary>
        /// 饮食
        /// </summary>
        [SugarColumn(ColumnDescription = "饮食", ColumnDataType = "text")]
        public string Food { get; set; }
        /// <summary>
        /// 生长发育
        /// </summary>
        [SugarColumn(ColumnDescription = "生长发育", ColumnDataType = "text")]
        public string Growth { get; set; }
        /// <summary>
        /// 外界环境
        /// </summary>
        [SugarColumn(ColumnDescription = "外界环境", ColumnDataType = "text")]
        public string OutsideEnv { get; set; }
        /// <summary>
        /// 转化
        /// </summary>
        [SugarColumn(ColumnDescription = "转化", ColumnDataType = "text")]
        public string Conver { get; set; }
        /// <summary>
        /// 成因
        /// </summary>
        [SugarColumn(ColumnDescription = "成因", ColumnDataType = "text")]
        public string Causes { get; set; }
        /// <summary>
        /// 建议方案
        /// </summary>
        [SugarColumn(ColumnDescription = "建议方案", ColumnDataType = "text")]
        public string Advice { get; set; }
        /// <summary>
        /// 中药辩体保健方案
        /// </summary>
        [SugarColumn(ColumnDescription = "中药辩体保健方案", ColumnDataType = "text")]
        public string ZYAdvice { get; set; }
        /// <summary>
        /// 保健方案
        /// </summary>
        [SugarColumn(ColumnDescription = "保健方案", ColumnDataType = "text")]
        public string CareAdivce { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间")]
        public DateTime CreateTime { get; set; }
    }
}
